Issue 124456 - Crash on opening attachment from issue 114998
Summary: Crash on opening attachment from issue 114998
Status: CLOSED FIXED
Alias: None
Product: Impress
Classification: Application
Component: open-import (show other issues)
Version: 4.1.0-beta
Hardware: All All
: P3 Major (vote)
Target Milestone: 4.1.0
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: crash, regression
Depends on:
Blocks:
 
Reported: 2014-03-18 19:46 UTC by Regina Henschel
Modified: 2017-05-20 10:35 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: 4.1.0-beta
Developer Difficulty: ---
jsc: 4.1.0_release_blocker+


Attachments
proposed fix to check not initialized theme (2.12 KB, patch)
2014-03-19 12:16 UTC, jsc
no flags Details | Diff
revised patch, remove nullptr comparison to avoid problems on other platforms (2.11 KB, patch)
2014-03-19 12:28 UTC, jsc
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2014-03-18 19:46:22 UTC
Open attachment "pptx file. Not able to read the words in slides." from issue 114998. https://issues.apache.org/ooo/attachment.cgi?id=72002
It crashes during opening.
Comment 1 Regina Henschel 2014-03-18 19:49:46 UTC
No crash in AOO401m5(Build:9714)  -  Rev. 1524958
2013-09-20 11:40:29 (Fr, 20 Sep 2013)

I work on Windows 7.
Comment 2 Edwin Sharp 2014-03-19 06:53:52 UTC
Crash with
AOO410m14(Build:9760)  -  Rev. 1573062
2014-03-01_04:11:01 - Rev. 1573123
Debian
Comment 3 jsc 2014-03-19 12:02:55 UTC
it's crash and a regression and qualified as showstopper
Comment 4 jsc 2014-03-19 12:16:55 UTC
Created attachment 82911 [details]
proposed fix to check not initialized theme

proposed fix to check not initialized theme, notes pages don't take care of themes so far.
Comment 5 jsc 2014-03-19 12:21:00 UTC
Comment on attachment 82911 [details]
proposed fix to check not initialized theme

please review proposed patch to avoid the introduced regression (crash)
Comment 6 jsc 2014-03-19 12:28:54 UTC
Created attachment 82913 [details]
revised patch, remove nullptr comparison to avoid problems on other platforms
Comment 7 SVN Robot 2014-03-19 12:45:05 UTC
"jsc" committed SVN revision 1579216 into branches/AOO410:
#124456# add null pointer check to avoid usage of not initialzed theme, add c...
Comment 8 SVN Robot 2014-03-19 12:47:53 UTC
"jsc" committed SVN revision 1579217 into trunk:
#124456# merge from aoo410 branch, add null pointer check to avoid usage of n...
Comment 9 jsc 2014-03-19 12:50:18 UTC
fixed on aoo410 branch and merged on trunk

add null pointer check to avoid usage of not initialized theme in notes page. And add a TODO comment that the theme support is missing in notes page.
Comment 10 Oliver-Rainer Wittmann 2014-04-02 12:21:47 UTC
Verified on Ubuntu 10.04 (64bit) with build from branch AOO410 (rev. 1583666)

Verified on Windows 7 with local build of branch AOO410, rev. 1582710 and with buildbot build, rev. 1582709